Package groovy.ui.text

# Class SmartDocumentFilter

java.lang.Object
javax.swing.text.DocumentFilter
groovy.ui.text.SmartDocumentFilter

    @Deprecated
    public class SmartDocumentFilter
    extends javax.swing.text.DocumentFilter

Deprecated.
The document filter based on Parrot's lexer is for highlighting the content of text editor

Since:
  3.0.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.text.DocumentFilter

  `javax.swing.text.DocumentFilter.FilterBypass`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SmartDocumentFilter​(javax.swing.text.DefaultStyledDocument styledDocument)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<org.antlr.v4.runtime.Token>` | `getLatestTokenList()` | Deprecated.
  `void` | `insertString​(javax.swing.text.DocumentFilter.FilterBypass fb, int offset, java.lang.String text, javax.swing.text.AttributeSet attrs)` | Deprecated.
  `boolean` | `isLatest()` | Deprecated.
  `void` | `remove​(javax.swing.text.DocumentFilter.FilterBypass fb, int offset, int length)` | Deprecated.
  `void` | `replace​(javax.swing.text.DocumentFilter.FilterBypass fb, int offset, int length, java.lang.String text, javax.swing.text.AttributeSet attrs)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SmartDocumentFilter

    public SmartDocumentFilter​(javax.swing.text.DefaultStyledDocument styledDocument)
    Deprecated.

- ## Method Details

  - ### insertString

    public void insertString​(javax.swing.text.DocumentFilter.FilterBypass fb, int offset, java.lang.String text, javax.swing.text.AttributeSet attrs) throws javax.swing.text.BadLocationException
    Deprecated.
    Overrides:
      `insertString` in class `javax.swing.text.DocumentFilter`
    Throws:
      `javax.swing.text.BadLocationException`

  - ### remove

    public void remove​(javax.swing.text.DocumentFilter.FilterBypass fb, int offset, int length) throws javax.swing.text.BadLocationException
    Deprecated.
    Overrides:
      `remove` in class `javax.swing.text.DocumentFilter`
    Throws:
      `javax.swing.text.BadLocationException`

  - ### replace

    public void replace​(javax.swing.text.DocumentFilter.FilterBypass fb, int offset, int length, java.lang.String text, javax.swing.text.AttributeSet attrs) throws javax.swing.text.BadLocationException
    Deprecated.
    Overrides:
      `replace` in class `javax.swing.text.DocumentFilter`
    Throws:
      `javax.swing.text.BadLocationException`

  - ### isLatest

    public boolean isLatest()
    Deprecated.

  - ### getLatestTokenList

    public java.util.List<org.antlr.v4.runtime.Token> getLatestTokenList()
    Deprecated.